IViewFilter (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.preprocessor.IViewFilter interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.preprocessor
Interface IViewFilter

All Known Implementing Classes:
  AcceptedBuildContextNodesViewFilter, AcceptedNodesViewFilter, AllNodesViewFilter, SharedNodesViewFilter

    public interface IViewFilter

This interface, implemented by a client or by a standard implementation, is used to determine how to interpret preprocessor conditionals and macros when determining what content to expose from a preprocessor DOM.

See Also:
  `IViewConfiguration`, `IPreprocessor`

Method Summary
`boolean` | `combineBranches()` when #evaluteConditionals() returns true, then if true, then both true and false branches of a test are included.
`boolean` | `evaluateConditionalStatements()` if true, use macro values to evaluate #if/etc nodes and include the contents in the succeeding branch; else, conditionals are skipped entirely
`boolean` | `evaluateUnconditionalStatements()` if true, then nodes outside #if/etc are kept, else, they are skipped entirely
`boolean` | `expandVariantMacros()` • variant macro: a macro whose value is determined to differ between configurations, either by coming from a set of fixed macros or by being defined inside #ifs in the translation unit • if true, expand variant macros when encountered in macro expressions and statements; else, statements containing variant macros will be filtered out.
`boolean` | `invertSuccess()` when #evaluteConditionals() returns true, then, if true, filter out contents from successful tests and keep contents from failing tests

Method Detail

### evaluateUnconditionalStatements

    boolean evaluateUnconditionalStatements()

  if true, then nodes outside #if/etc are kept, else, they are skipped entirely

  Returns:

### evaluateConditionalStatements

    boolean evaluateConditionalStatements()

  if true, use macro values to evaluate #if/etc nodes and include the contents in the succeeding branch; else, conditionals are skipped entirely

  Returns:

### invertSuccess

    boolean invertSuccess()

  when #evaluteConditionals() returns true, then, if true, filter out contents from successful tests and keep contents from failing tests

  Returns:

### combineBranches

    boolean combineBranches()

  when #evaluteConditionals() returns true, then if true, then both true and false branches of a test are included.

  Returns:

### expandVariantMacros

    boolean expandVariantMacros()

  • variant macro: a macro whose value is determined to differ between configurations, either by coming from a set of fixed macros or by being defined inside #ifs in the translation unit

  • if true, expand variant macros when encountered in macro expressions and statements; else, statements containing variant macros will be filtered out. (Macros in #if expressions are outside the scope of this query.)

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD